## R14.1.5-noncore.tar

=== CMakeLists.txt ===
############################################
#
#  (C) 2023 Michele Calgaro
#  Michele (DOT) Calgaro (AT) yahoo.it
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
############################################


##### set project version

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup

project( libksquirrel )

set(LIBKSQUIRREL_VERSION_MAJOR 0)
set(LIBKSQUIRREL_VERSION_MINOR 8)
set(LIBKSQUIRREL_VERSION_PATCH 0)
set(LIBKSQUIRREL_VERSION_STRING
    "${LIBKSQUIRREL_VERSION_MAJOR}.${LIBKSQUIRREL_VERSION_MINOR}.${LIBKSQUIRREL_VERSION_PATCH}")


##### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


##### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support"         OFF )
option( WITH_JPEG        "Build camera code with jpeg support" ${WITH_ALL_OPTIONS} )
option( WITH_LCMS        "Build codecs with lcms support"      ${WITH_ALL_OPTIONS} )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL      "Build all"            ON           )
option( BUILD_DOC      "Build documentation"  ${BUILD_ALL} )

option( BUILD_AVS      "Build avs codec"      ${BUILD_ALL} )
option( BUILD_BMP      "Build bmp codec"      ${BUILD_ALL} )
option( BUILD_CAMERA   "Build camera codec"   ${BUILD_ALL} )
option( BUILD_CUT      "Build cut codec"      ${BUILD_ALL} )
option( BUILD_DDS      "Build dds codec"      ${BUILD_ALL} )
option( BUILD_DICOM    "Build dicom codec"    ${BUILD_ALL} )
option( BUILD_DJVU     "Build djvu codec"     ${BUILD_ALL} )
option( BUILD_DXF      "Build dxf codec"      OFF          )
option( BUILD_EPS      "Build eps codec"      ${BUILD_ALL} )
option( BUILD_FIG      "Build fig codec"      ${BUILD_ALL} )
option( BUILD_FLI      "Build fli codec"      ${BUILD_ALL} )
option( BUILD_GIF      "Build gif codec"      ${BUILD_ALL} )
option( BUILD_HDR      "Build hdr codec"      ${BUILD_ALL} )
option( BUILD_ICO      "Build ico codec"      ${BUILD_ALL} )
option( BUILD_IFF      "Build iff codec"      ${BUILD_ALL} )
option( BUILD_JBIG     "Build jbig codec"     ${BUILD_ALL} )
option( BUILD_JPEG2000 "Build jpeg2000 codec" ${BUILD_ALL} )
option( BUILD_JPEG     "Build jpeg codec"     ${BUILD_ALL} )
option( BUILD_KOALA    "Build koala codec"    ${BUILD_ALL} )
option( BUILD_LEAF     "Build leaf codec"     ${BUILD_ALL} )
option( BUILD_LIF      "Build lif codec"      ${BUILD_ALL} )
option( BUILD_LJPEG    "Build ljpeg codec"    ${BUILD_ALL} )
option( BUILD_MAC      "Build mac codec"      ${BUILD_ALL} )
option( BUILD_MDL      "Build mdl codec"      ${BUILD_ALL} )
option( BUILD_MNG      "Build mng codec"      ${BUILD_ALL} )
option( BUILD_MSP      "Build msp codecs"     ${BUILD_ALL} )
option( BUILD_MTV      "Build mtv codec"      ${BUILD_ALL} )
option( BUILD_NEO      "Build neo codec"      ${BUILD_ALL} )
option( BUILD_OPENEXR  "Build openexr codec"  ${BUILD_ALL} )
option( BUILD_PCX      "Build pcx codec"      ${BUILD_ALL} )
option( BUILD_PI1      "Build pi1 codec"      ${BUILD_ALL} )
option( BUILD_PI3      "Build pi3 codec"      ${BUILD_ALL} )
option( BUILD_PICT     "Build pict codec"     ${BUILD_ALL} )
option( BUILD_PIX      "Build pix codec"      ${BUILD_ALL} )
option( BUILD_PNG      "Build png codec"      ${BUILD_ALL} )
option( BUILD_PNM      "Build pnm codec"      ${BUILD_ALL} )
option( BUILD_PSD      "Build psd codec"      ${BUILD_ALL} )
option( BUILD_PSP      "Build psp codec"      ${BUILD_ALL} )
option( BUILD_PXR      "Build pxr codec"      ${BUILD_ALL} )
option( BUILD_RAS      "Build ras codec"      ${BUILD_ALL} )
option( BUILD_RAWRGB   "Build rawrgb codec"   ${BUILD_ALL} )
option( BUILD_SCT      "Build sct codec"      ${BUILD_ALL} )
option( BUILD_SGI      "Build sgi codec"      ${BUILD_ALL} )
option( BUILD_SUN      "Build sun codec"      ${BUILD_ALL} )
option( BUILD_SVG      "Build svg codec"      ${BUILD_ALL} )
option( BUILD_TGA      "Build tga codec"      ${BUILD_ALL} )
option( BUILD_TIFF     "Build tiff codec"     ${BUILD_ALL} )
option( BUILD_TTF      "Build ttf codec"      ${BUILD_ALL} )
option( BUILD_UTAH     "Build utah codec"     ${BUILD_ALL} )
option( BUILD_WAL      "Build wal codec"      ${BUILD_ALL} )
option( BUILD_WBMP     "Build wbmp codec"     ${BUILD_ALL} )
option( BUILD_WMF      "Build wmf codec"      ${BUILD_ALL} )
option( BUILD_XBM      "Build xbm codec"      ${BUILD_ALL} )
option( BUILD_XCF      "Build xcf codec"      ${BUILD_ALL} )
option( BUILD_XCUR     "Build xcur codec"     ${BUILD_ALL} )
option( BUILD_XIM      "Build xim codec"      ${BUILD_ALL} )
option( BUILD_XPM      "Build xpm codec"      ${BUILD_ALL} )
option( BUILD_XWD      "Build xwd codec"      ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


##### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### write pkgconfig file

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

configure_file( ksquirrellibs.pc.cmake ksquirrellibs.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/ksquirrellibs.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )


##### source directories

add_subdirectory( kernel )
tde_conditional_add_subdirectory( BUILD_DOC doc )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== KMFIPTInterface/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kmyfirewall
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${IPTC_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### configure checks

tde_message_fatal(
  "KMFIPTInterface is not ready for building and probably would not be functional"
  "after the change iptables => xtables in Linux kernel."
)

include( ConfigureChecks.cmake )


##### kmfiptinterface (executable)

tde_add_executable( kmfiptinterface AUTOMOC
  SOURCES main.cpp kmfiptinterface.cpp iptchecker.cpp kmfiptinterface.skel
  LINK tdeio-shared DCOP-shared ${IPTC_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE kmfiptinterface.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== bibletime/CMakeLists.txt ===

add_subdirectory( display-templates )
add_subdirectory( backend )
add_subdirectory( frontend )
add_subdirectory( xml )
add_subdirectory( pics )
add_subdirectory( util )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CLUCENE_INCLUDE_DIRS}
  ${SWORD_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
)


##### bibletime (executable) ####################

tde_add_executable( ${PROJECT_NAME} AUTOMOC
  SOURCES
    bibletime_init.cpp
    bibletime_slots.cpp
    bibletime.cpp
    bibletimeapp.cpp
    main.cpp
    bibletime_dcop.cpp
    bibletimeinterface.skel

  LINK
    backend-static
    display-static
    displaywindow-static
    frontend-static
    frontendutil-static
    keychooser-static
    mainindex-static
    searchdialog-static
    util-static
    tdecore-shared
    tdeui-shared
    tdeio-shared
    tdecore-shared
    tdeui-shared
    tdehtml-shared
    ${SWORD_LIBRARIES}
    ${CLUCENE_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### install public includes

install(
  FILES bibletimeinterface.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)

=== client/CMakeLists.txt ===
tde_import( twin )

add_subdirectory( config )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${XEXT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${XEXT_LIBRARY_DIRS}
)


##### twin3_domino (kpart)

tde_add_kpart( twin3_domino AUTOMOC

  SOURCES
        dominoclient.cpp
  LINK
     tdecore-shared
     tdecorations-shared
     ${X11_LIBRARIES}
     ${XEXT_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE domino.desktop
    DESTINATION ${DATA_INSTALL_DIR}/twin
)

=== convert-presets/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### convert_presets (translations)

tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations/messages )


##### convert_presets (executable)

tde_add_executable( convert-presets AUTOMOC
  SOURCES convert-presets.cpp
  LINK tdecore-shared tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== data/CMakeLists.txt ===

##### other data

file( GLOB data_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
list( REMOVE_ITEM data_files "CMakeLists.txt" )

install(
  FILES ${data_files}
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

=== dominoConfig/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${FREETYPE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### tdestyle_domino_config (kpart)

tde_add_kpart( tdestyle_domino_config AUTOMOC

  SOURCES
        dominoconf.cpp
  LINK
     tdeio-shared
     domino_style-static

  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== example/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/tqt
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### app (executable)

tde_add_executable( app AUTOMOC

  SOURCES
        application.cpp
        main.cpp
  LINK
     tqscintilla-shared
)

=== examples/CMakeLists.txt ===
#################################################
#
#  (C) 2021 Michele Calgaro
#  Michele (DOT) Calgaro (AT) yahoo.it
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_SOURCE_DIR}/gui
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${DBUS_TQT_LIBRARY_DIRS}
)


##### install paths setup #######################

tde_setup_dbus( dbus-1-tqt )

set( POLKIT_TQT_EXAMPLE "${DATA_INSTALL_DIR}/polkit-tqt/examples/" )


##### install examples runtime config ###########################

configure_file( org.tqt.policykit.examples.service.cmake org.tqt.policykit.examples.service @ONLY )

install(
  FILES org.tqt.policykit.examples.policy
  DESTINATION ${SHARE_INSTALL_PREFIX}/polkit-1/actions/
)

install(
  FILES org.tqt.policykit.examples.conf
  DESTINATION ${DBUS_SYSTEM_CONF_DIRECTORY}
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/org.tqt.policykit.examples.service
  DESTINATION ${DBUS_SERVICE_DIRECTORY}
)


##### install icons ###########################

add_subdirectory( icons )


##### adent directory ########################

add_subdirectory( agent )


##### install examples source code ###########################

install(
  FILES COPYING
  DESTINATION ${POLKIT_TQT_EXAMPLE}
)

install(
  FILES
    org.tqt.policykit.examples.conf
    org.tqt.policykit.examples.policy
    org.tqt.policykit.examples.xml
    ${CMAKE_CURRENT_BINARY_DIR}/org.tqt.policykit.examples.service
  DESTINATION ${POLKIT_TQT_EXAMPLE}/config
)

install(
  FILES PkExample.h PkExample.cpp main.cpp
  DESTINATION ${POLKIT_TQT_EXAMPLE}/main
)

install(
  FILES PkExampleHelper.h PkExampleHelper.cpp mainHelper.cpp
  DESTINATION ${POLKIT_TQT_EXAMPLE}/helper
)


##### example executables #########################

tde_add_executable( polkit-tqt-example AUTOMOC
  SOURCES PkExample.cpp main.cpp
  LINK ${DBUS_TQT_LIBRARIES} polkit-tqt-gui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_add_executable( polkit-tqt-example-helper AUTOMOC
  SOURCES PkExampleHelper.cpp mainHelper.cpp
  LINK ${DBUS_TQT_LIBRARIES} polkit-tqt-core-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== fonts/CMakeLists.txt ===
##### other data

install(
    FILES font-small.pbm font-smooth.pbm font.pbm
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/fonts
)

=== k9Mplayer/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libk9copy
  ${TDE_INCLUDE_DIR}
)

##### main k9mplayer
tde_add_library( k9mplayer STATIC_PIC AUTOMOC
  SOURCES mplayer.ui k9mplayer.cpp
)

=== k9decmpeg/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/k9vamps
  ${CMAKE_SOURCE_DIR}/libdvdnav
  ${CMAKE_SOURCE_DIR}/libk9copy
  ${TDE_INCLUDE_DIR}
)

##### main k9decmpeg
file( GLOB _lib_cpp_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp )
tde_add_library( k9decmpeg STATIC_PIC AUTOMOC
  SOURCES ${_lib_cpp_files}
)

=== kexi/debian/control ===
Source: kexi
Section: kde
Priority: optional
Maintainer: Igor Genibel <igenibel@debian.org>
Build-Depends: automake1.7, debhelper (>= 4.2.0), tdelibs4-dev (>= 4:3.2.0), flex, libpqxx-dev, libmysqlclient-dev, libreadline5-dev, cdbs
Standards-Version: 3.6.1.0

Package: kexi
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kexi-postgresql-driver (= ${Source-Version}), kexi-mysql-driver (= ${Source-Version}), kexi-i18n
Suggests: kexi-mdb-driver
Description: Integrated data management application for KDE
 Kexi is an integrated environment for managing data. It helps creating 
 database schemas, inserting, querying and processing data.
 .
 The idea of this development effort came because of noticeable lack of
 application like MS Access, FoxPro, Oracle Forms or File Maker that is
 powerful enough, inexpensive, open standards driven and highly portable
 between many OSes and hardware platforms.

Package: kexi-postgresql-driver
Architecture: any
Depends: kexi (= ${Source-Version}), ${shlibs:Depends}
Description: PostgreSQL driver for Kexi
 The PostgreSQL driver for Kexi databases, and the PostgreSQL 
 migration driver for converting arbitrary PostgreSQL databases into 
 Kexi databases.

Package: kexi-mysql-driver
Architecture: any
Depends: kexi (= ${Source-Version}), ${shlibs:Depends}
Description: MySQL driver for Kexi
 The MySQL driver for Kexi databases, and the MySQL migration driver 
 for converting arbitrary MySQL databases into Kexi databases.

Package: libkexi-dev
Architecture: any
Depends: kexi (= ${Source-Version}), ${shlibs:Depends}
Description: Kexi development files
 This package is necessary for developing new Kexi drivers or Kexi
 migration drivers. It will be needed for compiling drivers that are not
 part of the Kexi distribution (e.g. keximdb for importing MS Access files)
